# Smart Watch Widget

<a title="Made with Fluent Design" href="https://github.com/bdlukaa/fluent_ui"><img src="https://img.shields.io/badge/fluent-design-blue?color=7A7574&labelColor=0078D7" /></a>

### Smartwatch widget for Windows made with [Flutter](https://flutter.dev).
It includes an Alarm Clock and it is fully customizable.

This open-source project was created as an example of what we can do with [Flutter for Windows](https://flutter.dev/multi-platform/desktop).
![image](https://user-images.githubusercontent.com/946652/158329657-3e1b3e80-e500-4127-9a46-d7b856010175.png)

## Installation
To open the widget when windows start, install it from the store.
<br /><br />
<a title="Install From Microsoft Store" href="https://www.microsoft.com/store/apps/9MXP7B6Q4TQD"><img src="https://user-images.githubusercontent.com/946652/158346120-a407813f-7a3a-4c15-89f3-438d3a3319ab.png" /></a>

## Packages
To have a fully functional and distributable widget, we use several top quality [pub packages](https://pub.dev/):
| Package Name | Description |
| :---: | :---: |
| [analog_clock](https://pub.dev/packages/analog_clock) | For displaying analog clock widget |
| [fluent_ui](https://pub.dev/packages/fluent_ui) | For displaying Windows FluentUI widgets |
| [bitsdojo_window](https://pub.dev/packages/bitsdojo_window) | To customize the widget window |
| [flutter_acrylic](https://pub.dev/packages/flutter_acrylic) | To set the widget background-color |
| [window_manager](https://pub.dev/packages/window_manager) | To manage the state and visibility of the widget window |
| [libmpv](https://pub.dev/packages/libmpv) | For playing the alarm audio |
| [schedulers](https://pub.dev/packages/schedulers) | To schedule alarms |
| [new_im_animations](https://pub.dev/packages/new_im_animations) | For displaying alarm effect |
| [win_toast](https://pub.dev/packages/win_toast) | To display Windows alarm notification |
| [flutter_colorpicker](https://pub.dev/packages/flutter_colorpicker) | To enable customizes the clock colors |
| [wave](https://pub.dev/packages/wave) | To display cool waves background |
| [msix](https://pub.dev/packages/msix) | To build Msix file for Microsoft Store distribution |

Alarm sound by [Alexander](https://orangefreesounds.com/) posted at [orangefreesounds.com](https://orangefreesounds.com/twin-bell-alarm-clock/) under [CC BY-NC 4.0](https://creativecommons.org/licenses/by-nc/4.0/) license.